<?php

namespace Lc\SovBundle\Translation;


use Symfony\Component\HttpFoundation\RequestStack;

/**
 * class FlashBag.
 *
 * @author La clic !!!!
 */
class FlashBagTranslator
{

    protected RequestStack $requestStack;
    protected TranslatorAdmin $translatorAdmin;

    public function __construct(RequestStack $requestStack, TranslatorAdmin $translatorAdmin)
    {
        $this->requestStack = $requestStack;
        $this->translatorAdmin = $translatorAdmin;
    }

    /**
     * {@inheritdoc}
     */
    public function add(
            string $type,
            $translationKeyName,
            $translationEntityName = null,
            $translationParam = array()
    ): void {
        $this->requestStack->getSession()->getFlashBag()->add(
                $type,
                $this->translatorAdmin->transFlashMessage(
                        $type,
                        $translationKeyName,
                        $translationEntityName,
                        $translationParam
                )
        );
    }
}
